Last Comment Bug 354430 - Firefox crashes on startup - The procedure entry point SEC_RegisterDefaultHttpClient could not be located in the dynamic link library nss3.dll
: Firefox crashes on startup - The procedure entry point SEC_RegisterDefaultHtt...
Status: RESOLVED WORKSFORME
:
Product: Core Graveyard
Classification: Graveyard
Component: Security: UI (show other bugs)
: 1.8 Branch
: x86 Windows XP
-- critical (vote)
: ---
Assigned To: Kai Engert (:kaie)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-26 22:37 PDT by Adam Chandler
Modified: 2016-09-27 13:03 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Adam Chandler 2006-09-26 22:37:05 PDT
User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 2.0.50727)
Build Identifier: http://download.mozilla.org/?product=firefox-2.0rc1&os=win&lang=en-US

Tried a clean install of Firefox, but the problem presists.

Reproducible: Always

Steps to Reproduce:
1.Start Firefox
2.
3.

Actual Results:  
Firefox will not start, I get a box that says -
firefox.exe - Entry Point Not Found
The procedure entry point SEC_RegisterDefaultHttpClient could not be located in the dynamic link library nss3.dll.

Expected Results:  
Firefox should start.
Comment 1 User image Ria Klaassen (not reading all bugmail) 2006-09-26 22:59:49 PDT
Does it also happen when you start Firefox in its safe-mode or with a new profile?
http://kb.mozillazine.org/Safe_Mode_(Firefox)
http://kb.mozillazine.org/Profile_Folder

Comment 2 User image Adam Chandler 2006-09-26 23:17:46 PDT
(In reply to comment #1)
> Does it also happen when you start Firefox in its safe-mode or with a new
> profile?
> http://kb.mozillazine.org/Safe_Mode_(Firefox)
> http://kb.mozillazine.org/Profile_Folder

The error remains in both cases.  Firefox will not start.  I can't start the profile manager or safe mode.
Comment 3 User image timeless 2006-09-26 23:29:25 PDT
you've been poisoned. among apps known to poison systems are crystal reports.

none of the following files should be in system path (especially windows\system32):
nspr4.dll
plc4.dll
plds4.dll
nss3.dll
nssckbi.dll
smime3.dll
softokn3.dll

you can use dependency walker to figure out where these files are coming from if you like.

we could change psm so that it used nspr to get these functions which are missing from the evil dlls that aren't supposed to be in system, then psm could try to fail gracefully.
Comment 4 User image timeless 2006-09-26 23:41:15 PDT
in case it wasn't obvious by my previous statement, if you /find/ those files in path, kill them, and if possible please try to figure out which vendor installed them where they don't belong (and then complain at them).
Comment 5 User image Kai Engert (:kaie) 2006-09-27 08:07:18 PDT
I would like to explain what timeless said in more detail:

When you start Firefox on Windows, it will attempt to load several components, files named with ending .dll

Some of the libraries we load are the NSS library, which consists of nss3.dll and others.

The symbol SEC_RegisterDefaultHttpClient is a rather new addition to the library.

When you start Firefox and get this error message, it means that Firefox loaded an incompatible older version of that library.

Firefox is installing those libraries in its own, private application directory.

Some other applications might install those libraries in a global system location, which causes the conflict.

As timeless suggested, please search your system for the file names he listed.
If you find them outside of the Firefox directory, please move them away to a separate directory.

After having moved them away, you should be able to start Firefox correctly.

This step might break some other application which you have installed, please try to find which one that is. When you identified it, you could try to move those .dll files to that application's installation directory.

It would be indeed helpful to complain to the producer of that software that NSPR and NSS libraries should be installed in an application private location, in order to avoid conflicts with other software.

Hope this helps.

Can you please report back whether this fixed the problem for you?
Thanks
Comment 6 User image Adam Chandler 2006-09-27 10:16:23 PDT
I tried searching my system for the files listed by timeless, but the only place they appear is the Firefox directory.  Checked the System32 folder manually to be sure and they weren't there.
Comment 8 User image Wan-Teh Chang 2006-09-27 10:37:05 PDT
You only need to search your system for one file: nss3.dll.
When you find it, right mouse click the file and select
"Properties" at the bottom of the drop-down menu.  In
the "nss3.dll Properties" dialog, click the "Version"
tab.  The file version should be 3.11.3.0.

If you find multiple nss3.dll files, repeat the above
on each of them.
Comment 9 User image Adam Chandler 2006-09-27 10:46:01 PDT
(In reply to comment #8)
> You only need to search your system for one file: nss3.dll.
> When you find it, right mouse click the file and select
> "Properties" at the bottom of the drop-down menu.  In
> the "nss3.dll Properties" dialog, click the "Version"
> tab.  The file version should be 3.11.3.0.
> If you find multiple nss3.dll files, repeat the above
> on each of them.

I have version 3.11.2.0 of nss3.dll.  I'm guessing this must be the problem...?  Where do I get the correct version?
Comment 10 User image Adam Chandler 2006-09-27 10:47:26 PDT
Sorry, I meant I have version 3.10.2.0
Comment 11 User image Kai Engert (:kaie) 2006-09-27 10:53:20 PDT
(In reply to comment #10)
> Sorry, I meant I have version 3.10.2.0

This is strange, but it explains the problem you have. That version is too old.

Before we fix that, I would like to ask that we try to analyze what happened.

Inside your firefox directory, there should be a file named install.log
Could you please send that file to me by personal mail?


In order to fix your problem, I recommend you uninstall Firefox, rename the existing firefox directory if it still exists after uninstall (so we could look at it later), and try to install again.
Comment 12 User image Adam Chandler 2006-09-27 10:57:27 PDT
(In reply to comment #11)
> (In reply to comment #10)
> > Sorry, I meant I have version 3.10.2.0
> This is strange, but it explains the problem you have. That version is too old.
> Before we fix that, I would like to ask that we try to analyze what happened.
> Inside your firefox directory, there should be a file named install.log
> Could you please send that file to me by personal mail?
> In order to fix your problem, I recommend you uninstall Firefox, rename the
> existing firefox directory if it still exists after uninstall (so we could look
> at it later), and try to install again.

I appoligize, but I uninstalled Firefox and tried a fresh install again after my last post.  Don't have the install log anymore.  On the bright side the problem has been solved and Firefox now works.  Not sure why the first fresh install didn't work.
Comment 13 User image Wan-Teh Chang 2006-09-27 11:00:19 PDT
3.10.2.0 is the version of nss3.dll in Firefox 1.5.0.x.

Note You need to log in before you can comment on or make changes to this bug.